<template>
  <div class="circle" :class="classes">
  </div>
</template>

<script>
export default {
  name: 'BooleanToCircle',
  props: {
    val: {
      reuired: true,
      type: Boolean,
    },
  },
  computed: {
    classes() {
      return {
        'circle--primary': this.$props.val,
        'circle--secondary': !this.$props.val,
      };
    },
  },
};
</script>

<style lang="scss" scoped>
.circle {
  height: 9px;
  width: 9px;
  border-radius: 100%;

  &--primary {
    background: $primary;
  }

  &--secondary {
    background: $secondary;
  }

}
</style>
